> For the complete documentation index, see [llms.txt](https://www.mongodb.com/docs/api/doc/atlas-app-services-admin-api-v3/llms.txt)

# Create an endpoint

> POST /groups/{groupId}/apps/{appId}/endpoints
> 
> Create a new [endpoint](https://www.mongodb.com/docs/atlas/app-services/data-api/custom-endpoints/).



## Servers
- The root API resource and starting point for the App Services API.: https://services.cloud.mongodb.com/api/admin/v3.0 (The root API resource and starting point for the App Services API.)


## Authentication methods
- Token auth


## Parameters

### Path parameters

- **groupId** (string)
  An Atlas [Project/Group
  ID](https://docs.atlas.mongodb.com/tutorial/manage-projects/).

- **appId** (string)
  The ObjectID of your application.
  [The App Services API Project and Application IDs section](#section/Project-and-Application-IDs) demonstrates how to find this
  value.



### Body: application/json (object)
A valid [configuration object](https://www.mongodb.com/docs/atlas/app-services/reference/config/https_endpoints/) for the new endpoint.
- **route** (string)

- **http_method** (string)

- **function_id** (string)
  The endpoint function's unique ID.

- **validation_method** (string)

- **secret_id** (string)
  If `validation_method` is set to `"SECRET_AS_QUERY_PARAM"`
  or `"VERIFY_PAYLOAD"`, this is the `_id` of the
  [Secret](https://www.mongodb.com/docs/atlas/app-services/values-and-secrets/)
  that authorizes requests.

- **return_type** (string)
  The default [data format](https://mongodb.com/docs/atlas/app-services/data-api/#data-formats) returned by custom HTTPS endpoints.

- **respond_result** (boolean)

- **fetch_custom_user_data** (boolean)

- **create_user_on_auth** (boolean)

- **disabled** (boolean)

- **_id** (string)
  The endpoint's unique ID.



## Responses
### 201
Created

#### Body: application/json (object)
- **route** (string)

- **http_method** (string)

- **function_id** (string)
  The endpoint function's unique ID.

- **validation_method** (string)

- **secret_id** (string)
  If `validation_method` is set to `"SECRET_AS_QUERY_PARAM"`
  or `"VERIFY_PAYLOAD"`, this is the `_id` of the
  [Secret](https://www.mongodb.com/docs/atlas/app-services/values-and-secrets/)
  that authorizes requests.

- **return_type** (string)
  The default [data format](https://mongodb.com/docs/atlas/app-services/data-api/#data-formats) returned by custom HTTPS endpoints.

- **respond_result** (boolean)

- **fetch_custom_user_data** (boolean)

- **create_user_on_auth** (boolean)

- **disabled** (boolean)

- **_id** (string)
  The endpoint's unique ID.

- **function_name** (string)



[Powered by Bump.sh](https://bump.sh)
